%% Dipole excitation examples
%
% <<../figures/mnpbemlogo.jpg>>
%
% The runtimes of the following programs are given for my not overly fast
% office computer (Intel i7-2600 CPU, 3.40 GHz, 8 GB RAM).
%
%% Quasistatic dipole excitation examples
%
% * <matlab:edit('demodipstat1') demodipstat1.m> - 
% Lifetime reduction for dipole above metallic nanosphere (3 sec).
% <matlab:beminfo('demodipstat1.m') info>, 
% <matlab:eval('demodipstat1') run>
% * <matlab:edit('demodipstat2') demodipstat2.m> - 
% Energy dependent lifetime for dipole above a nanosphere (12 sec).
% <matlab:beminfo('demodipstat2.m') info>, 
% <matlab:eval('demodipstat2') run>
% * <matlab:edit('demodipstat3') demodipstat3.m> - 
% Electric field for dipole above metallic nanosphere (4 sec).
% <matlab:beminfo('demodipstat3.m') info>, 
% <matlab:eval('demodipstat3') run>
% * <matlab:edit('demodipstat4') demodipstat4.m> - 
% Photonic LDOS for a silver nanodisk (37 sec).
% <matlab:beminfo('demodipstat4.m') info>, 
% <matlab:eval('demodipstat4') run>
%
% * *Layer structure*
%
% * <matlab:edit('demodipstat5') demodipstat5.m> - 
% Lifetime reduction for dipole between sphere and layer (7.5 sec).
% <matlab:beminfo('demodipstat5.m') info>, 
% <matlab:eval('demodipstat5') run>
% * <matlab:edit('demodipstat6') demodipstat6.m> - 
% Electric field for dipole between sphere and layer (22 sec).
% <matlab:beminfo('demodipstat6.m') info>, 
% <matlab:eval('demodipstat6') run>
% * <matlab:edit('demodipstat7') demodipstat7.m> - 
% Photonic LDOS for nanodisk above layer (36 sec).
% <matlab:beminfo('demodipstat7.m') info>, 
% <matlab:eval('demodipstat7') run>
% * <matlab:edit('demodipstat8') demodipstat8.m> - 
% Electric field for dipole close to nanodisk and layer (23 sec).
% <matlab:beminfo('demodipstat8.m') info>, 
% <matlab:eval('demodipstat8') run>
%
% * *Mirror symmetry*
%
% * <matlab:edit('demodipstat9') demodipstat9.m> - 
% Dipole lifetime for nanosphere and mirror symmetry (4 sec).
% <matlab:beminfo('demodipstat9.m') info>, 
% <matlab:eval('demodipstat9') run>
% * <matlab:edit('demodipstat10') demodipstat10.m> - 
% Photonic LDOS for nanodisk using mirror symmetry (16 sec).
% <matlab:beminfo('demodipstat10.m') info>, 
% <matlab:eval('demodipstat10') run>
% * <matlab:edit('demodipstat11') demodipstat11.m> - 
% Lifetime reduction for dipole between sphere and layer (43 sec).
% <matlab:beminfo('demodipstat11.m') info>, 
% <matlab:eval('demodipstat11') run>
%
%% Retarded dipole excitation examples
%
% * <matlab:edit('demodipret1') demodipret1.m> - 
% Lifetime reduction for dipole above metallic nanosphere (3 sec).
% <matlab:beminfo('demodipret1.m') info>, 
% <matlab:eval('demodipret1') run>
% * <matlab:edit('demodipret2') demodipret2.m> - 
% Energy dependent lifetime for dipole above a nanosphere (1 min).
% <matlab:beminfo('demodipret2.m') info>, 
% <matlab:eval('demodipret2') run>
% * <matlab:edit('demodipret3') demodipret3.m> - 
% Photonic LDOS for a silver nanodisk (2 min).
% <matlab:beminfo('demodipret3.m') info>, 
% <matlab:eval('demodipret3') run>
% * <matlab:edit('demodipret4') demodipret4.m> - 
% Photonic LDOS for nanotriangle (3.5 min).
% <matlab:beminfo('demodipret4.m') info>, 
% <matlab:eval('demodipret4') run>
% * <matlab:edit('demodipret5') demodipret5.m> - 
% Photonic LDOS for nanotriangle (contd, 2 min).
% <matlab:beminfo('demodipret5.m') info>, 
% <matlab:eval('demodipret5') run>
% * <matlab:edit('demodipret6') demodipret6.m> - 
% Lifetime reduction for dipole above a coated nanosphere (67 sec).
% <matlab:beminfo('demodipret6.m') info>, 
% <matlab:eval('demodipret6') run>
% * <matlab:edit('demodipret7') demodipret7.m> - 
% Electric field for dipole above coated nanosphere (17 sec).
% <matlab:beminfo('demodipret7.m') info>, 
% <matlab:eval('demodipret7') run>
%
% * *Layer structure*
%
% * <matlab:edit('demodipret8') demodipret8.m> - 
% Lifetime reduction for dipole between sphere and layer (24 sec).
% <matlab:beminfo('demodipret8.m') info>, 
% <matlab:eval('demodipret8') run>
% * <matlab:edit('demodipret9') demodipret9.m> - 
% Electric field for dipole between sphere and layer (50 sec).
% <matlab:beminfo('demodipret9.m') info>, 
% <matlab:eval('demodipret9') run>
% * <matlab:edit('demodipret10') demodipret10.m> - 
% Photonic LDOS for nanodisk above layer (7 min ).
% <matlab:beminfo('demodipret01.m') info>, 
% <matlab:eval('demodipret10') run>
% * <matlab:edit('demodipret11') demodipret11.m> - 
% Electric field for dipole close to nanodisk and layer (32 sec).
% <matlab:beminfo('demodipret11.m') info>, 
% <matlab:eval('demodipret11') run>
%
% * *Mirror symmetry*
%
% * <matlab:edit('demodipret12') demodipret12.m> - 
% Dipole lifetime for nanosphere and mirror symmetry (4 sec).
% <matlab:beminfo('demodipret12.m') info>, 
% <matlab:eval('demodipret12') run>
%
%
% Copyright 2017 Ulrich Hohenester