%% EELS simulation examples
%
% <<../figures/mnpbemlogo.jpg>>
%
% The runtimes of the following programs are given for my not overly fast
% office computer (Intel i7-2600 CPU, 3.40 GHz, 8 GB RAM).
%
%% Quasistatic EELS simulation examples
%
% * <matlab:edit('demoeelsstat1') demoeelsstat1.m> - 
% Comparison BEM and Mie for EELS of metallic nanosphere (5 sec).
% <matlab:beminfo('demoeelsstat1.m') info>, 
% <matlab:eval('demoeelsstat1') run>
% * <matlab:edit('demoeelsstat2') demoeelsstat2.m> - 
% EELS of nanosphere for different impact parameters (82 sec).
% <matlab:beminfo('demoeelsstat2.m') info>, 
% <matlab:eval('demoeelsstat2') run>
% * <matlab:edit('demoeelsstat3') demoeelsstat3.m> - 
% EELS of nanodisk for different impact parameters (70 sec).
% <matlab:beminfo('demoeelsstat3.m') info>, 
% <matlab:eval('demoeelsstat3') run>
%
%% Retarded EELS simulation examples
%
% * <matlab:edit('demoeelsret1') demoeelsret1.m> - 
% Comparison BEM and Mie for EELS of metallic nanosphere (19 sec).
% <matlab:beminfo('demoeelsret1.m') info>, 
% <matlab:eval('demoeelsret1') run>
% * <matlab:edit('demoeelsret2') demoeelsret2.m> - 
% EELS of nanodisk for different impact parameters (96 sec).
% <matlab:beminfo('demoeelsret2.m') info>, 
% <matlab:eval('demoeelsret2') run>
% * <matlab:edit('demoeelsret3') demoeelsret3.m> - 
% Induced electric field for EELS of nanodisk (8 sec).
% <matlab:beminfo('demoeelsret3.m') info>, 
% <matlab:eval('demoeelsret3') run>
% * <matlab:edit('demoeelsret4') demoeelsret4.m> - 
% EELS of nanotriangle for different impact parameters (66 sec).
% <matlab:beminfo('demoeelsret4.m') info>, 
% <matlab:eval('demoeelsret4') run>
% * <matlab:edit('demoeelsret5') demoeelsret5.m> - 
% EELS maps of nanotriangle for selected loss energies (83 sec).
% <matlab:beminfo('demoeelsret5.m') info>, 
% <matlab:eval('demoeelsret5') run>
% * <matlab:edit('demoeelsret6') demoeelsret6.m> - 
% Electric field map for EELS of nanotriangle (51 sec).
% <matlab:beminfo('demoeelsret6.m') info>, 
% <matlab:eval('demoeelsret6') run>
% * <matlab:edit('demoeelsret7') demoeelsret7.m> - 
% EEL spectra for silver nanotriangle on membrane (9 min).
% <matlab:beminfo('demoeelsret7.m') info>, 
% <matlab:eval('demoeelsret7') run>
% * <matlab:edit('demoeelsret8') demoeelsret8.m> - 
% EELS maps for silver nanotriangle on membrane (6 min).
% <matlab:beminfo('demoeelsret8.m') info>, 
% <matlab:eval('demoeelsret8') run>
% * <matlab:edit('demoeelsret9') demoeelsret9.m> - 
% EEL spectra for coupled nanorods using iterative BEM solver (60 min).
% <matlab:beminfo('demoeelsret9.m') info>, 
% <matlab:eval('demoeelsret9') run>
%
%
% Copyright 2017 Ulrich Hohenester